<?php

	ini_set('max_execution_time', 0);
	require_once 'auth.php';
	
	$metaTables  = $adodb->MetaTables();
	$adodb->debug = 1;
	$i = 0;
	foreach ($metaTables as $k => $v) {
		if (ereg('^qb_view_', $v) 
		|| ereg('^qb_data_', $v)
		|| ereg('^qb_report_', $v)
		|| ereg('_flag$', $v)) {
			$i++;
			$adodb->Execute("DROP TABLE ".$v);
		}
	}
	if ($i === 0) echo 'No Report Tables Deleted.';
?>
